| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
DataProvider::ImplicitModuleTransaction Class Reference

Implements a mechanism to roll back changes made in external module initialization if an error occurs. More...

`#include <ImplicitModuleTransaction.qc.dox.h>`

## Public Member Functions
| destructor ()
| Executes all rollback code if there is an active exception in module initialization.

## Static Public Member Functions
static | add (code rb_code)
| Adds a rollback closure to be executed if there is an active exception in module initialization.

## Protected Member Functions
| addRollback (code rb_code)
| Adds a rollback closure to be executed if there is an active exception in module initialization.

## Detailed Description

Implements a mechanism to roll back changes made in external module initialization if an error occurs.